## org.biojava.bio.gui
Class PlainBlock

    java.lang.Object
      org.biojava.bio.gui.PlainBlock

All Implemented Interfaces:
  BlockPainter

    public class PlainBlock

extends Object
implements BlockPainter

A painter that just draws a block (or bar).

Author:
  Matthew Pocock

Constructor Summary
`PlainBlock()`

Method Summary
`void` `paintBlock(LogoContext ctxt, Rectangle2D block, AtomicSymbol sym)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainBlock

    public PlainBlock()

Method Detail

### paintBlock

    public void paintBlock(LogoContext ctxt,
                           Rectangle2D block,
                           AtomicSymbol sym)

  Specified by:
    `paintBlock` in interface `BlockPainter`